﻿using System;
namespace Artech.MemLeakByEvents
{
    public class Event
    {
        public string Subject { get; set; }
        public DateTime DueDate { get; set; }
        public string Description { get; set; }
        public Event(string subject, DateTime dueDate, string desc)
        {
            if (string.IsNullOrEmpty(subject))
            {
                throw new ArgumentNullException("subject");
            }
            this.Subject = subject;
            this.DueDate = dueDate;
            this.Description = desc ?? string.Empty;
        }
    }
}
