﻿using System;
using System.Collections.Generic;
namespace Artech.MemLeakByEvents
{
    public class TodoListEventArgs : EventArgs
    {
        public IEnumerable<Event> TodoList
        { get; private set; }
        public TodoListEventArgs(IEnumerable<Event> todoList)
        {
            if (null == todoList)
            {
                throw new ArgumentNullException("todoList");
            }

            this.TodoList = todoList;
        }
    }
}
