﻿using System;
using System.Collections.Generic;
using System.Threading;
namespace Artech.MemLeakByEvents
{
    public  class TodoListManager
    {
        private static readonly TodoListManager instance = new TodoListManager();
        public event EventHandler<TodoListEventArgs> TodoListChanged;
        private Timer todoListRefreshSchedler;
        private TodoListManager()
        {
            todoListRefreshSchedler = new Timer
            (
                state =>
                {
                    if (null == TodoListChanged)
                    {
                        return;
                    }

                    TodoListChanged(null, new TodoListEventArgs(GetTodolist()));
                }
           , null, 0, 5000);
        }
        public static TodoListManager Instance
        {
            get
            {
                return instance;
            }
        }
        private List<Event> GetTodolist()
        {
            var list = new List<Event>();
            list.Add(new Event("Meeting with Testing Team", DateTime.Today.AddDays(2),"NIL"));
            list.Add(new Event("Deliver progress report to manager ", DateTime.Today.AddDays(7), "NIL"));
            return list;
        }
    }
}
